package com.logopartner.customization;

import com.acme.services.CustomServices;
import com.lbs.remoteclient.IClientContext;
import com.lbs.tm.client.IOperationContext;
import com.lbs.tm.client.ITaskOperationInstance;
import com.lbs.tm.tools.TaskManagerConstants;
import com.lbs.wf.workproduct.IWPOperationPerformer;
import com.lbs.wf.workproduct.IWorkProductOperation;

public class HasanAlarm implements IWPOperationPerformer {

	private static final long serialVersionUID = 1L;

	public boolean preProcessData(IClientContext context, Object source,
			Object data, Object typeInfo, int mode) {
		return true;
	}

	public int perform(IOperationContext arg0, ITaskOperationInstance arg1) 
	{
		IWorkProductOperation op = null;
		if (!(arg1.getOperationDef() instanceof IWorkProductOperation))
			return TaskManagerConstants.EXEC_STATUS_NOTSUCCESS;

		op = arg1.getOperationDef();

		switch (op.getCategory())
		{
			case IWorkProductOperation.CATEGORY_CUSTOM:
			{
				CustomServices serv = new CustomServices();
				serv.selectResult2("2", "serverdeneme");
				return TaskManagerConstants.EXEC_STATUS_SUCCESS_COMPLETE;
			}
		}
		return TaskManagerConstants.EXEC_STATUS_CANCEL;

	}

}
